Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
how to unmask a package
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Networking & Security
View previous topic :: View next topic  
Author Message
sk8harddiefast
Guru
Guru


Joined: 15 Feb 2009
Posts: 335
Location: athens

PostPosted: Sun Feb 22, 2009 4:58 pm    Post subject: how to unmask a package Reply with quote

Code:
Desktop # emerge -av x11-libs/qt-opengl--- Invalid atom in /etc/portage/package.unmask: net-www/apache-2.0.54-r31

These are the packages that would be merged, in order:

Calculating dependencies /
!!! All ebuilds that could satisfy "x11-libs/qt-opengl" have been masked.
!!! One of the following masked packages is required to complete your request:
- x11-libs/qt-opengl-4.4.0_rc1 (masked by: ~x86 keyword)

For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.


Code:

emerge -av compiz
--- Invalid atom in /etc/portage/package.unmask: net-www/apache-2.0.54-r31

These are the packages that would be merged, in order:

Calculating dependencies |
!!! All ebuilds that could satisfy "x11-wm/compiz" have been masked.
!!! One of the following masked packages is required to complete your request:
- x11-wm/compiz-0.6.2-r1 (masked by: ~x86 keyword)
- x11-wm/compiz-0.6.2 (masked by: ~x86 keyword)
- x11-wm/compiz-0.5.2 (masked by: ~x86 keyword)
- x11-wm/compiz-0.5.0 (masked by: ~x86 keyword)

For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.


witch way i must follow to unmask the packages and emerge them??
i am not so sure but i sould write something in /etc/portage/package.unmask.
But what???
plz help

-- mod edit by i92guboj: corrected title s/portage/package
Back to top
View user's profile Send private message
psutokth
Tux's lil' helper
Tux's lil' helper


Joined: 03 Apr 2005
Posts: 119
Location: Lake Champlain

PostPosted: Sun Feb 22, 2009 5:38 pm    Post subject: Reply with quote

There's some documentation on unmasking packages, and it should help you.

The packages you are trying to install just need an entry in /etc/portage/package.keywords, either only the package category and name, or with a version number like
Code:
x11-libs/qt-opengl
or
=x11-wm/compiz-0.6.2

/etc/portpage/package.unmask is for hardmasked packages, not those with missing keywords. You can remove that error message either by deleting the referenced line in package.unmask, or if you need it, place an = at the beginning of the line.
Back to top
View user's profile Send private message
ewaller
Apprentice
Apprentice


Joined: 11 Aug 2005
Posts: 263
Location: Pasadena, CA

PostPosted: Sun Feb 22, 2009 5:38 pm    Post subject: Reply with quote

I think you missed the atom in your unmask. You must tell the system which reversion relative to the one you identified are acceptable.
You can use = to specify the exact version you specified, >= to specify anything equal to or newer than than the one you specified, etc...

Try
Code:
>=net-www/apache-2.0.54-r31
in your portage.unmask file

If this solves your problem I would point out this is well documented in the Gentoo manual and in the portage man page.

Good luck.
_________________
Nothing is too wonderful to be true, if it be consistent with the laws of nature -- Michael Faraday
Back to top
View user's profile Send private message
poly_poly-man
Advocate
Advocate


Joined: 06 Dec 2006
Posts: 2477
Location: RIT, NY, US

PostPosted: Sun Feb 22, 2009 5:48 pm    Post subject: Reply with quote

/etc/portage/package.keywords is for keyworded stuff. Same rules apply with atoms.
_________________
iVBORw0KGgoAAAANSUhEUgAAA

avatar: new version of logo - see topic 838248. Potentially still a WiP.
Back to top
View user's profile Send private message
ewaller
Apprentice
Apprentice


Joined: 11 Aug 2005
Posts: 263
Location: Pasadena, CA

PostPosted: Sun Feb 22, 2009 5:53 pm    Post subject: Reply with quote

Sorry,

I did not read the post all that carefully. You do have a problem in your unmask file with regards to Apache, but it doesn't seem to be the root of your problem. Your current problem requires the unmask described by psutokth.
_________________
Nothing is too wonderful to be true, if it be consistent with the laws of nature -- Michael Faraday
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Networking & Security All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum